BEGIN ~rukra25j~

IF ~Global("RumasterDeadRukTalk","LOCALS",1)~
  THEN BEGIN 25rukraj0
  SAY @18 = @139 = @140 = @141
  IF ~~ THEN REPLY @19 GOTO 25rukraj1
  IF ~~ THEN REPLY @20 GOTO 25rukraj2
END

IF ~~
  THEN BEGIN 25rukraj1 
  SAY @21
  IF ~~ THEN DO ~SetGlobal("RumasterDeadRukTalk","LOCALS",2)~ EXIT
END

IF ~~
  THEN BEGIN 25rukraj2
  SAY @22
  IF ~~ THEN DO ~SetGlobal("RumasterDeadRukTalk","LOCALS",2)~ EXIT
END

IF ~Global("RukVampireBreakAndFight","GLOBAL",2)~
  THEN BEGIN 25rukraj3
  SAY @70
  IF ~~ THEN DO ~SetGlobal("RukVampireBreakAndFight","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN rukSARTHF2#1
  SAY @73
  IF ~~ THEN DO ~TakePartyGold(5)~ EXTERN SARTHF2 5
END

IF ~~ THEN BEGIN rukSARVOLO1#1
  SAY @80
  IF ~~ THEN EXTERN SARVOLO ruk3
END

IF ~~ THEN BEGIN rukSARVOLO1#2
  SAY @81
  IF ~~ THEN EXTERN SARVOLO ruk4
END

IF ~~
  THEN BEGIN rukHGWRA01#1
  SAY @94
  IF ~~ THEN EXTERN HGWRA01 ruk1
END

IF ~~
  THEN BEGIN rukHGWRA01#2
  SAY @97
  IF ~~ THEN EXTERN HGWRA01 25
END

IF ~~
  THEN BEGIN rukatarch02
  SAY @151
  IF ~~ THEN DO ~ForceSpell("AMARCH01",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("AMARCH01")
                 ActionOverride("AMARCH01",Enemy())
                 ActionOverride("AMARCH02",Enemy())
                 ActionOverride("AMARCH03",Enemy())
                 ActionOverride("AMARCH04",Enemy())
                 ActionOverride("AMARCH05",Enemy())
                 ActionOverride("AMARCH06",Enemy())~ EXIT
END

IF ~~
  THEN BEGIN rukatyagc
  SAY @104
  IF ~~ THEN DO ~ForceSpell("HGSLV01",PHASE_SPIDER_TELEPORT)
                 Wait(2)
                 Attack("HGSLV01")
                 ActionOverride("HGSLV01",Enemy())~ EXIT
END

IF ~~
  THEN BEGIN RUKFSRIDD1
  SAY @216 = @211 = @212 = @213 = @214 = @215
  IF ~~ THEN EXTERN FSRIDD 3
END

IF ~Global("Rukrakia_GORCHR_TALK","GLOBAL",1)~
  THEN BEGIN RUKGORCHR2
  SAY @195 = @196
  IF ~~ THEN DO ~SetGlobal("Rukrakia_GORCHR_TALK","GLOBAL",2)~ EXIT
END


IF ~True()
    !Global("RumasterDeadRukTalk","LOCALS",1)
    InPartySlot(LastTalkedToBy,0)~
  THEN BEGIN flirt0 // from:
  SAY @0
  IF ~Global("RukrakiaTELEPORT","LOCALS",0)~ THEN REPLY @1 GOTO flirt1
  IF ~Global("RukrakiaTELEPORT","LOCALS",1)~ THEN REPLY @3 GOTO flirt2
  IF ~Global("RukrakiaSCRAttack","LOCALS",0)~ THEN REPLY @4 GOTO flirt3
  IF ~Global("RukrakiaSCRAttack","LOCALS",1)~ THEN REPLY @5 GOTO flirt4
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      RandomNum(4,1)~ THEN REPLY @6 GOTO flirt7
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      RandomNum(4,2)~ THEN REPLY @6 GOTO flirt11
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      RandomNum(4,3)~ THEN REPLY @6 GOTO flirt12
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      RandomNum(4,4)~ THEN REPLY @6 GOTO flirt13
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      RandomNum(4,1)~ THEN REPLY @10 GOTO flirt8
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      RandomNum(4,2)~ THEN REPLY @10 GOTO flirt14
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      RandomNum(4,3)~ THEN REPLY @10 GOTO flirt15
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      RandomNum(4,4)~ THEN REPLY @10 GOTO flirt16
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      Global("RukrakiaNightBlock","GLOBAL",0)
      !GlobalTimerNotExpired("RukrakiaNightBlockT","GLOBAL")
      CombatCounter(0)
      !AreaType(DUNGEON)~ THEN REPLY @13 GOTO flirt9
  IF ~Global("RukrakiaRomanceActive","GLOBAL",5)
      Global("RukrakiaNightBlock","GLOBAL",0)
      !GlobalTimerNotExpired("RukrakiaNightBlockT","GLOBAL")
      CombatCounter(0)
      AreaType(DUNGEON)~ THEN REPLY @13 GOTO flirt10
END

IF ~~
  THEN BEGIN flirt1 // from:
  SAY @2
  IF ~~ THEN DO ~SetGlobal("RukrakiaTELEPORT","LOCALS",1)~ EXIT
END

IF ~~
  THEN BEGIN flirt2 // from:
  SAY @2
  IF ~~ THEN DO ~SetGlobal("RukrakiaTELEPORT","LOCALS",0)~ EXIT
END

IF ~~
  THEN BEGIN flirt3 // from:
  SAY @2
  IF ~~ THEN DO ~SetGlobal("RukrakiaSCRAttack","LOCALS",1)~ EXIT
END

IF ~~
  THEN BEGIN flirt4 // from:
  SAY @2
  IF ~~ THEN DO ~SetGlobal("RukrakiaSCRAttack","LOCALS",0)~ EXIT
END

IF ~~
  THEN BEGIN flirt5 // from:
  SAY @7
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt6 // from:
  SAY @8
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt7 // from:
  SAY @9
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt8 // from:
  SAY @11 = @12
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt9 // from:
  SAY @14 = @17
  IF ~~ THEN DO ~StartCutSceneMode()
                 StartCutScene("ruknigh1")~ EXIT
END

IF ~~
  THEN BEGIN flirt10 // from:
  SAY @15 = @16
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt11 // from:
  SAY @125
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt12 // from:
  SAY @126
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt13 // from:
  SAY @127
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt14 // from:
  SAY @128 = @129
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt15 // from:
  SAY @130 = @131
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN flirt16 // from:
  SAY @132 = @133
  IF ~~ THEN EXIT
END

//------------------------


INTERJECT_COPY_TRANS ILLASERA 7 rukillasera
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @30 = @31
END

INTERJECT_COPY_TRANS SAREV25A 9 rukSAREV25A1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @32
END

INTERJECT_COPY_TRANS SAREV25A 67 rukSAREV25A2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @33
END

INTERJECT_COPY_TRANS SAREV25A 38 rukSAREV25A3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @34
END

INTERJECT_COPY_TRANS2 SAREV25A 61 rukSAREV25A4
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @35
== SAREV25J IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @36
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @37
== SAREV25J IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @38
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @39
== SAREV25J IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN #64868
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @40
== SAREV25J IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @41
END

INTERJECT_COPY_TRANS2 SAREV25A 69 rukSAREV25A5
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @42 = @43
END

INTERJECT_COPY_TRANS BOTSMITH 1 rukBOTSMITH
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @44
END

INTERJECT_COPY_TRANS CHALSP01 7 rukCHALSP01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @45 = @46 = @47 = @48 = @49
END

INTERJECT_COPY_TRANS2 SARMEL01 20 rukSARMEL01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @50 = @51
END

INTERJECT_COPY_TRANS SARMEL01 53 rukSARMEL01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @62
END

INTERJECT_COPY_TRANS SARWAI01 0 rukSARWAI01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @52
END

INTERJECT_COPY_TRANS SARWAI01 4 rukSARWAI01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @53
END

INTERJECT_COPY_TRANS SARBUL06 2 rukSARBUL06
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @54
END

INTERJECT_COPY_TRANS SARTEM01 14 rukSARTEM01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @55
END

INTERJECT_COPY_TRANS2 SARTEM01 12 rukSARTEM01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @56
END

INTERJECT_COPY_TRANS2 SARSPIR 0 rukSARSPIR
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @57
END

INTERJECT_COPY_TRANS2 SARBHA03 9 rukSARBHA03
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @58
END

INTERJECT_COPY_TRANS GROMNIR 6 rukGROMNIR
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @59 = @60 = @61
END

INTERJECT_COPY_TRANS SARCPT01 21 rukSARCPT01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @63 = @64
END

INTERJECT_COPY_TRANS SARCNT01 6 rukSARCNT01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @65
END

INTERJECT_COPY_TRANS SARKIS01 22 rukSARKIS01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @66
END

ADD_TRANS_ACTION SARCNT01 BEGIN 14 END BEGIN END ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~

INTERJECT_COPY_TRANS SARELF01 3 rukSARELF01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @67 = @68
END

INTERJECT_COPY_TRANS SARPEL01 6 rukSARPEL01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @69
END

ADD_TRANS_ACTION SARPROVF BEGIN 8 END BEGIN END ~SetGlobal("RukVampireBreakAndFight","GLOBAL",1)~

INTERJECT_COPY_TRANS 25SPELL 15 ruk25SPELL
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @71
END

INTERJECT_COPY_TRANS SARTHF1 4 rukSARTHF1#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @72
END

INTERJECT_COPY_TRANS SARTHF1 12 rukSARTHF1#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @76
END

ADD_TRANS_TRIGGER SARTHF2 3 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukScoldChild","LOCALS",0)~
EXTEND_TOP SARTHF2 3 #1
  IF ~IsValidForPartyDialog("rukrakia") PartyGoldGT(4) Global("RukScoldChild","LOCALS",0)~ THEN DO ~SetGlobal("RukScoldChild","LOCALS",1)~ EXTERN ~rukra25j~ rukSARTHF2#1
END

INTERJECT_COPY_TRANS SARTHF2 7 rukSARTHF2#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @75
END

EXTEND_TOP SARVOLO 9 #2
  IF ~InParty("rukrakia")
      Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN REPLY @77 GOTO ruk1
  IF ~InParty("rukrakia")
      !Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN REPLY @77 GOTO ruk2
END

APPEND SARVOLO
IF ~~
  THEN BEGIN ruk1
  SAY @78
  IF ~!IsValidForPartyDialog("rukrakia")~ THEN GOTO 9
  IF ~IsValidForPartyDialog("rukrakia")~ THEN EXTERN RUKRA25J rukSARVOLO1#1
END

IF ~~
  THEN BEGIN ruk2
  SAY @79
  IF ~!IsValidForPartyDialog("rukrakia")~ THEN GOTO 9
  IF ~IsValidForPartyDialog("rukrakia")~ THEN EXTERN RUKRA25J rukSARVOLO1#2
END

IF ~~
  THEN BEGIN ruk3
  SAY @82
  IF ~~ THEN REPLY @83 GOTO ruk5
END

IF ~~
  THEN BEGIN ruk4
  SAY @84
  IF ~~ THEN REPLY @83 GOTO ruk5
END

IF ~~
  THEN BEGIN ruk5
  SAY @85 = @86
  IF ~~ THEN REPLY @87 GOTO ruk6
END

IF ~~
  THEN BEGIN ruk6
  SAY @88 = @89 = @90
  IF ~~ THEN REPLY @91 GOTO 9
END
END

INTERJECT_COPY_TRANS HGKAR01 4 rukHGKAR01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @92
END

ADD_TRANS_ACTION HGKAR01 BEGIN 10 END BEGIN END ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~

EXTEND_TOP HGWRA01 18 #2
  IF ~IsValidForPartyDialogue("rukrakia")
      Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN GOTO ruk0
END

APPEND HGWRA01
IF ~~
  THEN BEGIN ruk0
  SAY @93
  IF ~~ THEN EXTERN RUKRA25J rukHGWRA01#1
END

IF ~~
  THEN BEGIN ruk1
  SAY @95 = @96
  IF ~~ THEN EXTERN RUKRA25J rukHGWRA01#2
END
END

INTERJECT_COPY_TRANS HGWRA01 27 rukHGWRA01#3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @98
END

INTERJECT_COPY_TRANS HGWRA01 28 rukHGWRA01#4
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @98
END

INTERJECT_COPY_TRANS HGNYA01 6 rukHGNYA01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @99
END

INTERJECT_COPY_TRANS HGNYA01 19 rukHGNYA01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @100
END

INTERJECT_COPY_TRANS HGNYA01 29 rukHGNYA01#3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @101
END

INTERJECT YAGCON 20 rukYAGCON1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @102
== YAGCON IF ~IsValidForPartyDialogue("rukrakia")~
THEN @103
END RUKRA25J rukatyagc

INTERJECT YAGCON 21 rukYAGCON2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @105
== YAGCON IF ~IsValidForPartyDialogue("rukrakia")~
THEN @103
END RUKRA25J rukatyagc

INTERJECT_COPY_TRANS2 YAGA01 5 rukYAGA01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @106
END

INTERJECT_COPY_TRANS SARMEL01 62 rukSARMEL01#3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @107
END

INTERJECT_COPY_TRANS SARMEL01 74 rukSARMEL01#4
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @108
END

INTERJECT_COPY_TRANS2 SARMEL01 83 rukSARMEL01#5
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @109
END

INTERJECT_COPY_TRANS BALTH 8 rukBALTH1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @110 = @111
END

INTERJECT_COPY_TRANS BALTH 9 rukBALTH2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @110 = @111
END

INTERJECT_COPY_TRANS BALTH 10 rukBALTH3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @110 = @111
END

INTERJECT_COPY_TRANS BALTH 11 rukBALTH4
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @110 = @111
END

INTERJECT_COPY_TRANS BALTH 29 rukBALTH5
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @112
== BALTH IF ~IsValidForPartyDialogue("rukrakia")~
THEN @113
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @114 = @115
== BALTH IF ~IsValidForPartyDialogue("rukrakia")~
THEN @116
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @117
END

INTERJECT_COPY_TRANS2 AMASANA 3 rukAMASANA
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @118
END

INTERJECT_COPY_TRANS AMSAEMON 2 rukAMSAEMON
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @119 = @120
END

INTERJECT_COPY_TRANS AMSAEMON 3 rukAMSAEMON1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @121
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @122
END

INTERJECT_COPY_TRANS AMSAEMON 3 rukAMSAEMON2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @123
END

INTERJECT_COPY_TRANS AMSAEMON 32 rukAMSAEMON3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @124
END

INTERJECT_COPY_TRANS2 AMSAEMON 45 rukAMSAEMON4
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @134
END

INTERJECT_COPY_TRANS2 AMCLER01 7 rukAMCLER01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @135
END

INTERJECT_COPY_TRANS2 AMCLER01 8 rukAMCLER01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @136
END

INTERJECT_COPY_TRANS2 AMMONK02 8 rukAMMONK02
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @137
END

INTERJECT_COPY_TRANS AMCARRAS 4 rukAMCARRAS
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @138
END

INTERJECT_COPY_TRANS2 MARLOWE 8 rukMARLOWE1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @142
END

INTERJECT_COPY_TRANS2 MARLOWE 9 rukMARLOWE2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @142
END

INTERJECT_COPY_TRANS2 MARLOWE 10 rukMARLOWE3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @142
END

ADD_TRANS_ACTION MARLOWE BEGIN 15 END BEGIN END ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~

INTERJECT_COPY_TRANS2 MARLOWE 15 rukMARLOWE4
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @143
END

INTERJECT_COPY_TRANS MARLOWE 28 rukMARLOWE5
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @144
END

INTERJECT_COPY_TRANS MARLOWE 36 rukMARLOWE6
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @145
END

ADD_TRANS_ACTION MARLOWE BEGIN 37 END BEGIN END ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~

INTERJECT_COPY_TRANS AMLICH01 17 rukAMLICH01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @146
END

ADD_TRANS_ACTION MARLOWE BEGIN 52 END BEGIN END ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~

INTERJECT_COPY_TRANS2 MARLOWE 52 rukMARLOWE6
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @147
END

INTERJECT AMARCH02 2 rukAMARCH02#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @148 = @149
== AMARCH02 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @150
END RUKRA25J rukatarch02

INTERJECT AMARCH02 7 rukAMARCH02#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @148 = @149
== AMARCH02 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @150
END RUKRA25J rukatarch02

INTERJECT_COPY_TRANS SENGUA01 6 rukSENGUA01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @152
END

INTERJECT_COPY_TRANS2 SENGUA01 19 rukSENGUA01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @153
END

INTERJECT_COPY_TRANS2 SENGUA01 16 rukSENGUA01#3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @154
END

INTERJECT_COPY_TRANS2 SENGUA04 3 rukSENGUA04
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @155
END

INTERJECT_COPY_TRANS2 SENPRI 4 rukSENPRI
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @156
END

INTERJECT_COPY_TRANS SENBEH01 3 rukSENBEH01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @157
END

INTERJECT_COPY_TRANS2 SENBEH01 13 rukSENBEH01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @158 = @159
END

INTERJECT_COPY_TRANS BAZDRA01 5 rukBAZDRA01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @160
END

INTERJECT_COPY_TRANS2 BAZEYE01 7 rukBAZDRA01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @161
END

INTERJECT_COPY_TRANS BAZEYE01 16 rukBAZDRA01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @162
END

INTERJECT_COPY_TRANS2 BAZMONK 3 rukBAZMONK
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @163
END

ADD_TRANS_ACTION BAZPAT01 BEGIN 4 END BEGIN END ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~

INTERJECT_COPY_TRANS2 BAZPAT01 4 rukBAZPAT01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @164
END

INTERJECT_COPY_TRANS BAZPAT01 16 rukBAZPAT01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @167
== BAZPAT01 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @168
END

INTERJECT_COPY_TRANS2 BAZPAT02 6 rukBAZPAT02
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @165 = @166
END

APPEND BAZDRA03
IF ~~
  THEN BEGIN RUKDRAAT
  SAY @171
  IF ~~ THEN DO ~SetGlobal("Attacked","LOCALS",2) 
                 Enemy()~ EXIT
END
END

INTERJECT BAZDRA03 12 rukBAZPAT03
== BAZDRA03 IF ~IsValidForPartyDialogue("rukrakia")~
THEN @169
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @170
END BAZDRA03 RUKDRAAT

INTERJECT_COPY_TRANS2 AMELM01 16 rukAMELM01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")~
THEN @172
END

INTERJECT_COPY_TRANS GORODR1 11 rukGORODR1#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @189
END

INTERJECT_COPY_TRANS GORODR1 11 rukGORODR1#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @189
END

INTERJECT_COPY_TRANS GORODR1 22 rukGORODR1#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @190
END

INTERJECT_COPY_TRANS GORODR1 22 rukGORODR1#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @190
END

INTERJECT_COPY_TRANS GORARC1 2 rukGORARC1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @191
END

INTERJECT_COPY_TRANS GORARC1 2 rukGORARC1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @191
END

INTERJECT_COPY_TRANS GORCHR 2 rukGORCHR1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @192
END

INTERJECT_COPY_TRANS GORCHR 2 rukGORCHR1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @192
END

INTERJECT_COPY_TRANS GORIMP01 7 rukGORIMP01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @193 = @194
END

INTERJECT_COPY_TRANS GORIMP01 7 rukGORIMP01
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @193 = @194
END

ADD_TRANS_ACTION GORCHR BEGIN 11 END BEGIN END ~SetGlobal("Rukrakia_GORCHR_TALK","GLOBAL",1)~

INTERJECT_COPY_TRANS GORMAD1 14 rukGORMAD1#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @197
END

INTERJECT_COPY_TRANS GORMAD1 14 rukGORMAD1#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @197
END

INTERJECT_COPY_TRANS GORMAD1 19 rukGORMAD1#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @198
END

INTERJECT_COPY_TRANS GORMAD1 19 rukGORMAD1#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @198
END

ADD_TRANS_ACTION GORMAD1 BEGIN 41 END BEGIN END ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~

INTERJECT_COPY_TRANS GORMAD1 41 rukGORMAD1#3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @199
END

INTERJECT_COPY_TRANS GORMAD1 41 rukGORMAD1#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @199
END

INTERJECT_COPY_TRANS GORTAN1 0 rukGORTAN1#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @200
END

INTERJECT_COPY_TRANS GORTAN1 0 rukGORTAN1#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @200
END

INTERJECT_COPY_TRANS GORTAN1 2 rukGORTAN1#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @202
END

INTERJECT_COPY_TRANS GORTAN1 2 rukGORTAN1#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @202
END

INTERJECT_COPY_TRANS GORTAN1 5 rukGORTAN1#3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @200
END

INTERJECT_COPY_TRANS GORTAN1 5 rukGORTAN1#3
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @200
END

INTERJECT_COPY_TRANS GORTAN1 9 rukGORTAN1#4
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @201
END

INTERJECT_COPY_TRANS GORTAN1 9 rukGORTAN1#4
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @201
END

INTERJECT_COPY_TRANS GORTAN1 13 rukGORTAN1#5
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @200
END

INTERJECT_COPY_TRANS GORTAN1 13 rukGORTAN1#5
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @200
END

INTERJECT_COPY_TRANS GORTAN1 17 rukGORTAN1#6
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @200
END

INTERJECT_COPY_TRANS GORTAN1 17 rukGORTAN1#6
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @200
END

ADD_TRANS_ACTION GORSUC01 BEGIN 7 END BEGIN END ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~

INTERJECT_COPY_TRANS GORSUC01 7 rukGORSUC01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)
                GlobalGT("Chapter","GLOBAL",7)~
THEN @203
END

INTERJECT_COPY_TRANS GORSUC01 7 rukGORSUC01
== rukraj IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)
                !GlobalGT("Chapter","GLOBAL",7)~
THEN @203
END

INTERJECT_COPY_TRANS GORCAR 8 rukGORCAR1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @204
END

INTERJECT_COPY_TRANS GORCAR 8 rukGORCAR1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @204
END

INTERJECT_COPY_TRANS GORCAR 10 rukGORCAR2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @205
END

INTERJECT_COPY_TRANS GORCAR 10 rukGORCAR2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @205
END

INTERJECT_COPY_TRANS GORSAL 12 rukGORSAL1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @206
END

INTERJECT_COPY_TRANS GORSAL 12 rukGORSAL1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @206
END

INTERJECT_COPY_TRANS2 GORSAL 21 rukGORSAL2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @207
END

INTERJECT_COPY_TRANS2 GORSAL 21 rukGORSAL2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @207
END

INTERJECT_COPY_TRANS2 GORCAR 16 rukGORCAR3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @208
END

INTERJECT_COPY_TRANS2 GORCAR 16 rukGORCAR3
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @208
END

INTERJECT_COPY_TRANS2 GORCAR 17 rukGORCAR4
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @209
END

INTERJECT_COPY_TRANS2 GORCAR 17 rukGORCAR4
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @209
END

INTERJECT_COPY_TRANS FSSPIR2 1 rukFSSPIR2#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @210
END

INTERJECT_COPY_TRANS FSSPIR2 1 rukFSSPIR2#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @210
END

ADD_TRANS_TRIGGER FSRIDD 3 ~OR(2)!IsValidForPartyDialog("rukrakia")!Global("RukTalkFSRIDD1","LOCALS",0)~
EXTEND_BOTTOM FSRIDD 3
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkFSRIDD1","LOCALS",0) GlobalGT("Chapter","GLOBAL",7)~ THEN DO ~SetGlobal("RukTalkFSRIDD1","LOCALS",1)~ EXTERN ~RUKRA25J~ RUKFSRIDD1
  IF ~IsValidForPartyDialog("rukrakia") Global("RukTalkFSRIDD1","LOCALS",0) !GlobalGT("Chapter","GLOBAL",7)~ THEN DO ~SetGlobal("RukTalkFSRIDD1","LOCALS",1)~ EXTERN ~RUKRAJ~ RUKFSRIDD1
END

INTERJECT_COPY_TRANS FSRIDD 7 rukFSRIDD2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @217 = @218 = @219 = @220 = @221 = @222 = @223 = @224 = @225 = @226
END

INTERJECT_COPY_TRANS FSRIDD 7 rukFSRIDD2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @217 = @218 = @219 = @220 = @221 = @222 = @223 = @224 = @225 = @226
END

INTERJECT_COPY_TRANS GORDEMO 1 rukGORDEMO1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @227
END

INTERJECT_COPY_TRANS GORDEMO 1 rukGORDEMO1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @227
END

INTERJECT_COPY_TRANS GORDEMO 24 rukGORDEMO2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @228
END

INTERJECT_COPY_TRANS GORDEMO 24 rukGORDEMO2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @228
END

INTERJECT_COPY_TRANS GORAPP1 6 rukGORAPP1#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @229
END

INTERJECT_COPY_TRANS GORAPP1 6 rukGORAPP1#1
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @229
END

INTERJECT_COPY_TRANS GORAPP1 10 rukGORAPP1#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @230
END

INTERJECT_COPY_TRANS GORAPP1 10 rukGORAPP1#2
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @230
END

INTERJECT_COPY_TRANS2 GORDEMO 35 rukGORDEMO3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia") GlobalGT("Chapter","GLOBAL",7)~
THEN @231
END

INTERJECT_COPY_TRANS2 GORDEMO 35 rukGORDEMO3
== rukraj IF ~IsValidForPartyDialogue("rukrakia") !GlobalGT("Chapter","GLOBAL",7)~
THEN @231
END


//-------------------

EXTEND_TOP FATESP 6
  IF ~!InParty("rukrakia")
      !Dead("rukrakia")
      Global("RukrakiaSummoned","GLOBAL",0)
      Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN REPLY @23 DO ~SetGlobal("RukrakiaSummoned","GLOBAL",1)~ GOTO 8
  IF ~!InParty("rukrakia")
      !Dead("rukrakia")
      Global("RukrakiaSummoned","GLOBAL",0)
      !Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN REPLY @23 GOTO RUKREJECT
END

APPEND FATESP
IF ~~
  THEN BEGIN RUKREJECT
  SAY @24
  IF ~~ THEN GOTO 6
END
END

APPEND RUKRAJ
IF ~~
  THEN BEGIN RUKFSRIDD1
  SAY @216 = @211 = @212 = @213 = @214 = @215
  IF ~~ THEN EXTERN FSRIDD 3
END
END

INTERJECT_COPY_TRANS FINSOL01 27 rukfinsol01
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @25 = @26 = @27 = @28 = @29
END

INTERJECT_COPY_TRANS FINSOL01 30 rukfinsol01#1
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @180 = @181 = @182 = @183 = @184 = @185
END

INTERJECT_COPY_TRANS FINSOL01 31 rukfinsol01#2
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @180 = @181 = @182 = @183 = @184 = @185
END

INTERJECT_COPY_TRANS FINSOL01 32 rukfinsol01#3
== rukra25j IF ~IsValidForPartyDialogue("rukrakia")
                Global("RukrakiaRomanceActive","GLOBAL",5)~
THEN @186 = @187 = @188
END